Package org.opensaml.saml.metadata.criteria.entity.impl

# Class EntityDescriptorCriterionPredicateRegistry

java.lang.Object
net.shibboleth.shared.resolver.CriterionPredicateRegistry<EntityDescriptor>
org.opensaml.saml.metadata.criteria.entity.impl.EntityDescriptorCriterionPredicateRegistry

public class EntityDescriptorCriterionPredicateRegistry extends CriterionPredicateRegistry<EntityDescriptor>
Default `CriterionPredicateRegistry` for `EntityDescriptor`.

## Constructor Summary

Constructors
Constructor
Description
`EntityDescriptorCriterionPredicateRegistry()`
Constructor.

## Method Summary

### Methods inherited from class net.shibboleth.shared.resolver.CriterionPredicateRegistry

`clearRegistry, deregister, getPredicate, loadMappings, loadMappings, lookup, register`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityDescriptorCriterionPredicateRegistry

public EntityDescriptorCriterionPredicateRegistry()
Constructor.